Module jdk.jdi
Package com.sun.jdi

## Class Bootstrap

- java.lang.Object
- - com.sun.jdi.Bootstrap

    public class Bootstrap
    extends Object

Initial class that provides access to the default implementation of JDI interfaces. A debugger application uses this class to access the single instance of the `VirtualMachineManager` interface.

Since:
  1.3

### Constructor Summary

Constructors
`Bootstrap()`

### Method Summary

All Methods Static Methods Concrete Methods
`static VirtualMachineManager` `virtualMachineManager()` Returns the virtual machine manager.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bootstrap

    public Bootstrap()

### Method Detail

#### virtualMachineManager

    public static VirtualMachineManager virtualMachineManager()

Returns the virtual machine manager.

May throw an unspecified error if initialization of the `VirtualMachineManager` fails or if the virtual machine manager is unable to locate or create any `Connectors`.

Throws:
  `SecurityException` - if a security manager has been installed and it denies `JDIPermission` ("`virtualMachineManager`") or other unspecified permissions required by the implementation.